Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.material.channel
Class SimplexNoise

    java.lang.Object
      de.grogra.imp3d.glsl.material.channel.SimplexNoise

    public class SimplexNoise

extends java.lang.Object

Static class that offers simplex noise function and a turbulence function based on noise. Most work done by Stefan Gustavson http://webstaff.itn.liu.se/~stegu/simplexnoise/ "Simplex noise demystified"

Author:
  Konni Hartmann

Constructor Summary
`SimplexNoise()`

Method Summary
`static java.awt.image.BufferedImage` | `generatePermutationTexture()`
`static void` | `registerdNoiseFunctions(ShaderConfiguration phong)`
`static java.lang.String` | `registerDTurbWithUnroll(ShaderConfiguration phong, int octaves)`
`static void` | `registerNoiseFunctions(ShaderConfiguration phong)`
`static java.lang.String` | `registerTurbWithUnroll(ShaderConfiguration phong, int octaves)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplexNoise

    public SimplexNoise()

Method Detail

### generatePermutationTexture

    public static java.awt.image.BufferedImage generatePermutationTexture()

### registerdNoiseFunctions

    public static void registerdNoiseFunctions(ShaderConfiguration phong)

### registerDTurbWithUnroll

    public static java.lang.String registerDTurbWithUnroll(ShaderConfiguration phong,
                                                           int octaves)

### registerNoiseFunctions

    public static void registerNoiseFunctions(ShaderConfiguration phong)

### registerTurbWithUnroll

    public static java.lang.String registerTurbWithUnroll(ShaderConfiguration phong,
                                                          int octaves)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD